Package org.eclipse.mat.ui.actions

# Class RunReportsDropDownAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.mat.ui.util.EasyToolBarDropDown
org.eclipse.mat.ui.actions.RunReportsDropDownAction

All Implemented Interfaces:
  `IAction`, `IMenuCreator`

public class RunReportsDropDownAction extends EasyToolBarDropDown

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`RunReportsDropDownAction(MultiPaneEditor editor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`contribute(PopupMenu menu)`

### Methods inherited from class org.eclipse.mat.ui.util.EasyToolBarDropDown

`dispose, getMenu, getMenu, run`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunReportsDropDownAction

public RunReportsDropDownAction(MultiPaneEditor editor)

## Method Details

### contribute

public void contribute(PopupMenu menu)

Specified by:
  `contribute` in class `EasyToolBarDropDown`